import argparse
import sys
import torch as th
from copy import copy

from data.datasets.ADEPT.dataset import AdeptDataset

if __name__ == "__main__":

    print('Starting test.py')

    latent_size = [20, 30]
    level1_size = (latent_size[1] * 2**(1*2), latent_size[0] * 2**(1*2))
    level2_size = (latent_size[1] * 2**(2*2), latent_size[0] * 2**(2*2))
    dataset = "ADEPT"
    
    type = "disappear_fixed"
    type_name = "createdown"

    for size in [level2_size, level1_size]:
        print(f'Dataset: {dataset}, Type: {type}, Size: {size}')
        trainset = AdeptDataset("./", dataset, type, size, type_name, full_size= level2_size, create_dataset=True)

    print("Done")